@echo OFF

setlocal ENABLEEXTENSIONS
set SIB7KEY="HKEY_LOCAL_MACHINE\Software\Avid\Sibelius 7\SerialNumber"
set SIB6KEY="HKEY_LOCAL_MACHINE\Software\Sibelius Software\Sibelius 6\SerialNumber"
set SIB5KEY="HKEY_LOCAL_MACHINE\Software\Sibelius Software\Sibelius 5\SerialNumber"
set SIB4KEY="HKEY_LOCAL_MACHINE\Software\Sibelius Software\Sibelius 4\SerialNumber"
set SIB3KEY="HKEY_LOCAL_MACHINE\Software\Sibelius Software\Sibelius 3\SerialNumber"
set SIB2KEY="HKEY_LOCAL_MACHINE\Software\Sibelius Software\Sibelius 2\SerialNumber"
set SIB1KEY="HKEY_LOCAL_MACHINE\Software\Sibelius Software\Sibelius\SerialNumber"

set SIB764KEY="HKEY_LOCAL_MACHINE\Software\Wow6432Node\Avid\Sibelius 7\SerialNumber"
set SIB664KEY="HKEY_LOCAL_MACHINE\Software\Wow6432Node\Sibelius Software\Sibelius 6\SerialNumber"
set SIB564KEY="HKEY_LOCAL_MACHINE\Software\Wow6432Node\Sibelius Software\Sibelius 5\SerialNumber"
set SIB464KEY="HKEY_LOCAL_MACHINE\Software\Wow6432Node\Sibelius Software\Sibelius 4\SerialNumber"
set SIB364KEY="HKEY_LOCAL_MACHINE\Software\Wow6432Node\Sibelius Software\Sibelius 3\SerialNumber"
set SIB264KEY="HKEY_LOCAL_MACHINE\Software\Wow6432Node\Sibelius Software\Sibelius 2\SerialNumber"
set SIB164KEY="HKEY_LOCAL_MACHINE\Software\Wow6432Node\Sibelius Software\Sibelius\SerialNumber"

@echo off
REM Check Windows Version
ver | findstr /i "5\.0\." > nul
IF %ERRORLEVEL% EQU 0 goto WINXP
ver | findstr /i "5\.1\." > nul
IF %ERRORLEVEL% EQU 0 goto WINXP
goto WINNT

:WINNT
FOR /F "tokens=3-7" %%A IN ('REG QUERY %SIB7KEY% 2^>nul') DO (
    set Value=%%A%%B%%C%%D%%E
)

if defined Value (
    @echo Sibelius 7 >> tmpFile
    @echo %Value% >> tmpFile
    @echo. >> tmpFile
)

set Value=

FOR /F "tokens=3-7" %%A IN ('REG QUERY %SIB764KEY% 2^>nul') DO (
    set Value=%%A%%B%%C%%D%%E
)

if defined Value (
    @echo Sibelius 7 >> tmpFile
    @echo %Value% >> tmpFile
    @echo. >> tmpFile
)

set Value=

FOR /F "tokens=3-7" %%A IN ('REG QUERY %SIB6KEY% 2^>nul') DO (
    set Value=%%A%%B%%C%%D%%E
)

if defined Value (
    @echo Sibelius 6 >> tmpFile
    @echo %Value% >> tmpFile
    @echo. >> tmpFile
)
set Value=

FOR /F "tokens=3-7" %%A IN ('REG QUERY %SIB664KEY% 2^>nul') DO (
    set Value=%%A%%B%%C%%D%%E
)

if defined Value (
    @echo Sibelius 6 >> tmpFile
    @echo %Value% >> tmpFile
    @echo. >> tmpFile
)
set Value=

FOR /F "tokens=3-7" %%A IN ('REG QUERY %SIB5KEY% 2^>nul') DO (
    set Value=%%A%%B%%C%%D%%E
)

if defined Value (
    @echo Sibelius 5 >> tmpFile
    @echo %Value% >> tmpFile
    @echo. >> tmpFile
)
set Value=

FOR /F "tokens=3-7" %%A IN ('REG QUERY %SIB564KEY% 2^>nul') DO (
    set Value=%%A%%B%%C%%D%%E
)

if defined Value (
    @echo Sibelius 5 >> tmpFile
    @echo %Value% >> tmpFile
    @echo. >> tmpFile
)
set Value=

FOR /F "tokens=3-7" %%A IN ('REG QUERY %SIB4KEY% 2^>nul') DO (
    set Value=%%A%%B%%C%%D%%E
)

if defined Value (
    @echo Sibelius 4 >> tmpFile
    @echo %Value% >> tmpFile
    @echo. >> tmpFile
)
set Value=

FOR /F "tokens=3-7" %%A IN ('REG QUERY %SIB464KEY% 2^>nul') DO (
    set Value=%%A%%B%%C%%D%%E
)

if defined Value (
    @echo Sibelius 4 >> tmpFile
    @echo %Value% >> tmpFile
    @echo. >> tmpFile
)
set Value=

FOR /F "tokens=3-7" %%A IN ('REG QUERY %SIB3KEY% 2^>nul') DO (
    set Value=%%A%%B%%C%%D%%E
)

if defined Value (
    @echo Sibelius 3 >> tmpFile
    @echo %Value% >> tmpFile
    @echo. >> tmpFile
)
set Value=

FOR /F "tokens=3-7" %%A IN ('REG QUERY %SIB364KEY% 2^>nul') DO (
    set Value=%%A%%B%%C%%D%%E
)

if defined Value (
    @echo Sibelius 3 >> tmpFile
    @echo %Value% >> tmpFile
    @echo. >> tmpFile
)
set Value=

FOR /F "tokens=3-7" %%A IN ('REG QUERY %SIB2KEY% 2^>nul') DO (
    set Value=%%A%%B%%C%%D%%E
)

if defined Value (
    @echo Sibelius 2 >> tmpFile
    @echo %Value% >> tmpFile
    @echo. >> tmpFile
)
set Value=

FOR /F "tokens=3-7" %%A IN ('REG QUERY %SIB264KEY% 2^>nul') DO (
    set Value=%%A%%B%%C%%D%%E
)

if defined Value (
    @echo Sibelius 2 >> tmpFile
    @echo %Value% >> tmpFile
    @echo. >> tmpFile
)
set Value=

FOR /F "tokens=3-7" %%A IN ('REG QUERY %SIB1KEY% 2^>nul') DO (
    set Value=%%A%%B%%C%%D%%E
)

if defined Value (
    @echo Sibelius 1 >> tmpFile
    @echo %Value% >> tmpFile
    @echo. >> tmpFile
)
set Value=

FOR /F "tokens=3-7" %%A IN ('REG QUERY %SIB164KEY% 2^>nul') DO (
    set Value=%%A%%B%%C%%D%%E
)

if defined Value (
    @echo Sibelius 1 >> tmpFile
    @echo %Value% >> tmpFile
    @echo. >> tmpFile
)

goto END

:WINXP

FOR /F "tokens=4-8" %%A IN ('REG QUERY %SIB7KEY% 2^>nul') DO (
    set Value=%%A%%B%%C%%D%%E
)

if defined Value (
    @echo Sibelius 7 >> tmpFile
    @echo %Value% >> tmpFile
    @echo. >> tmpFile
)

set Value=

FOR /F "tokens=4-8" %%A IN ('REG QUERY %SIB764KEY% 2^>nul') DO (
    set Value=%%A%%B%%C%%D%%E
)

if defined Value (
    @echo Sibelius 7 >> tmpFile
    @echo %Value% >> tmpFile
    @echo. >> tmpFile
)

set Value=

FOR /F "tokens=4-8" %%A IN ('REG QUERY %SIB6KEY% 2^>nul') DO (
    set Value=%%A%%B%%C%%D%%E
)

if defined Value (
    @echo Sibelius 6 >> tmpFile
    @echo %Value% >> tmpFile
    @echo. >> tmpFile
)
set Value=

FOR /F "tokens=4-8" %%A IN ('REG QUERY %SIB664KEY% 2^>nul') DO (
    set Value=%%A%%B%%C%%D%%E
)

if defined Value (
    @echo Sibelius 6 >> tmpFile
    @echo %Value% >> tmpFile
    @echo. >> tmpFile
)
set Value=

FOR /F "tokens=4-8" %%A IN ('REG QUERY %SIB5KEY% 2^>nul') DO (
    set Value=%%A%%B%%C%%D%%E
)

if defined Value (
    @echo Sibelius 5 >> tmpFile
    @echo %Value% >> tmpFile
    @echo. >> tmpFile
)
set Value=

FOR /F "tokens=4-8" %%A IN ('REG QUERY %SIB564KEY% 2^>nul') DO (
    set Value=%%A%%B%%C%%D%%E
)

if defined Value (
    @echo Sibelius 5 >> tmpFile
    @echo %Value% >> tmpFile
    @echo. >> tmpFile
)
set Value=

FOR /F "tokens=4-8" %%A IN ('REG QUERY %SIB4KEY% 2^>nul') DO (
    set Value=%%A%%B%%C%%D%%E
)

if defined Value (
    @echo Sibelius 4 >> tmpFile
    @echo %Value% >> tmpFile
    @echo. >> tmpFile
)
set Value=

FOR /F "tokens=4-8" %%A IN ('REG QUERY %SIB464KEY% 2^>nul') DO (
    set Value=%%A%%B%%C%%D%%E
)

if defined Value (
    @echo Sibelius 4 >> tmpFile
    @echo %Value% >> tmpFile
    @echo. >> tmpFile
)
set Value=

FOR /F "tokens=4-8" %%A IN ('REG QUERY %SIB3KEY% 2^>nul') DO (
    set Value=%%A%%B%%C%%D%%E
)

if defined Value (
    @echo Sibelius 3 >> tmpFile
    @echo %Value% >> tmpFile
    @echo. >> tmpFile
)
set Value=

FOR /F "tokens=4-8" %%A IN ('REG QUERY %SIB364KEY% 2^>nul') DO (
    set Value=%%A%%B%%C%%D%%E
)

if defined Value (
    @echo Sibelius 3 >> tmpFile
    @echo %Value% >> tmpFile
    @echo. >> tmpFile
)
set Value=

FOR /F "tokens=4-8" %%A IN ('REG QUERY %SIB2KEY% 2^>nul') DO (
    set Value=%%A%%B%%C%%D%%E
)

if defined Value (
    @echo Sibelius 2 >> tmpFile
    @echo %Value% >> tmpFile
    @echo. >> tmpFile
)
set Value=

FOR /F "tokens=4-8" %%A IN ('REG QUERY %SIB264KEY% 2^>nul') DO (
    set Value=%%A%%B%%C%%D%%E
)

if defined Value (
    @echo Sibelius 2 >> tmpFile
    @echo %Value% >> tmpFile
    @echo. >> tmpFile
)
set Value=

FOR /F "tokens=4-8" %%A IN ('REG QUERY %SIB1KEY% 2^>nul') DO (
    set Value=%%A%%B%%C%%D%%E
)

if defined Value (
    @echo Sibelius 1 >> tmpFile
    @echo %Value% >> tmpFile
    @echo. >> tmpFile
)
set Value=

FOR /F "tokens=4-8" %%A IN ('REG QUERY %SIB164KEY% 2^>nul') DO (
    set Value=%%A%%B%%C%%D%%E
)

if defined Value (
    @echo Sibelius 1 >> tmpFile
    @echo %Value% >> tmpFile
    @echo. >> tmpFile
)

goto END


:END
msg * < tmpFile
del tmpFile